#1 problems with ext2fs in 10.2.4

closed
5
2015-02-22
2003-03-05
Anonymous
No

after installing the ext2 filesystem, i've noted the
following problems:

- doesn't allow access to user account in ext2 /home
- claims it's empty when it's not
- owner is shows as '32768000' and Finder folder is
marked with a small red no-entry icon
- when using 'umount' as root, appears to unmount, but
then doesn't
- still shows in /Volumes after umount command
- when using 'Eject' from Finder, asks for
administrative password, then ejects two of my HFS
partitions, leaving the ext2 partitions (UNTITLED for
ext2 '/' and UNTITLED 1 for ext2 '/boot') on the Desktop

here's the entire session segment from system.log:

Mar 4 22:25:58 mc3-PDQ syslogd: restart
Mar 4 22:25:58 mc3-PDQ mach_kernel: standard
timeslicing quantum is 10000 us
Mar 4 22:25:58 mc3-PDQ mach_kernel: vm_page_bootstrap:
90577 free pages
Mar 4 22:25:58 mc3-PDQ mach_kernel:
mig_table_max_displ = 64
Mar 4 22:25:58 mc3-PDQ mach_kernel:
COLOR video console at
0x82000000 (1024x768x8)
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOKit Component
Version 6.4:
Mar 4 22:25:58 mc3-PDQ mach_kernel: Wed Jan 29
18:46:46 PST 2003;
root(rcbuilder):RELEASE_PPC/iokit/RELEASE
Mar 4 22:25:58 mc3-PDQ mach_kernel: _cppInit done
Mar 4 22:25:58 mc3-PDQ mach_kernel:
IODeviceTreeSupport done
Mar 4 22:25:58 mc3-PDQ mach_kernel: Recording startup
extensions.
Mar 4 22:25:58 mc3-PDQ mach_kernel: Copyright (c)
1982, 1986, 1989, 1991, 1993
Mar 4 22:25:58 mc3-PDQ mach_kernel: The Regents of
the University of California. All rights reserved.
Mar 4 22:25:58 mc3-PDQ mach_kernel:
Mar 4 22:25:58 mc3-PDQ mach_kernel: using 983 buffer
headers and 983 cluster IO buffer headers
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
Mac OS X PCMCIA Card Services 3.1.22
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
options: [pci] [cardbus] [pnp]
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
Intel PCIC probe:
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
TI 1131 rev 01 PCI-to-CardBus phys mem 0x81803000 virt
mem 0x138b6000
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
host opts [0]: [pci only] [pci irq 255] [lat 32/176]
[bus 1/4]
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
PCI card interrupts, PCI status changes
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
Intel PCIC probe:
Mar 4 22:25:58 mc3-PDQ mach_kernel: IOPCCard info:
TI 1131 rev 01 PCI-to-CardBus phys mem 0x81802000 virt
mem 0x138b7000
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
host opts [0]: [pci only] [pci irq 255] [lat 32/176]
[bus 6/9]
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
PCI card interrupts, PCI status changes
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
cs: cb_alloc(bus 1): vendor 0x1045, device 0xc861
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOCardBusDevice:
binding socket 0 function 0 to card services.
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
cs: cb_config(bus 1)
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
fn 0 bar 1: mem 0x90000000-0x90000fff
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOPCCard info:
irq 255
Mar 4 22:25:59 mc3-PDQ mach_kernel: USBF: 46.114
[0x2ec8200] USB Generic Hub @ 1 (0x0)
Mar 4 22:25:59 mc3-PDQ mach_kernel: devfs enabled
Mar 4 22:25:59 mc3-PDQ mach_kernel: IOKitBSDInit
Mar 4 22:25:59 mc3-PDQ mach_kernel: From path:
"ide0/@0:9,\mach_kernel", Waiting on <dict
ID="0"><key>IOPathMatch</key><string
ID="1">IODeviceTree:/pci/@10/ata0/@0:9</string></dict>
Mar 4 22:25:59 mc3-PDQ mach_kernel: ATA Disk: Identify
data is incorrect - bad checksum
Mar 4 22:25:59 mc3-PDQ mach_kernel: Got boot device =
IOService:/GossamerPE/pci@80000000/AppleGracklePCI/mac-io@10/Heathrow/ata0@20000/HeathrowATA/ATADeviceNub@0/IOATABlockStorageDriver/IOATABlockStorageDevice/IOBlockStorageDriver/FUJITSU
MHL2300AT Media/IOApplePartitionScheme/os_x@9
Mar 4 22:25:59 mc3-PDQ mach_kernel: BSD root: disk0s9,
major 14, minor 9
Mar 4 22:25:59 mc3-PDQ mach_kernel: ADB present:8c
Mar 4 22:25:59 mc3-PDQ mach_kernel: devfs on /dev
Mar 4 22:25:59 mc3-PDQ mach_kernel: Jettisoning kernel
linker.
Mar 4 22:25:59 mc3-PDQ mach_kernel: Resetting IOCatalogue.
Mar 4 22:25:59 mc3-PDQ mach_kernel: Number of
Descriptors: 256. Total Size: 4096
Mar 4 22:25:59 mc3-PDQ mach_kernel: Size of
IODBDMADescriptor: 16.
Mar 4 22:25:59 mc3-PDQ mach_kernel: Number of
Descriptors: 256. Total Size: 4096
Mar 4 22:25:59 mc3-PDQ mach_kernel: Size of
IODBDMADescriptor: 16.
Mar 4 22:25:59 mc3-PDQ mach_kernel:
AppleSCCModem(2ff7180): setPowerState is called --
powerStateOrdinal = 0
Mar 4 22:25:59 mc3-PDQ mach_kernel: Number of
Descriptors: 256. Total Size: 4096
Mar 4 22:25:59 mc3-PDQ mach_kernel: Size of
IODBDMADescriptor: 16.
Mar 4 22:25:59 mc3-PDQ mach_kernel: BMacEnet: Ethernet
address 00:05:02:5b:13:aa
Mar 4 22:25:59 mc3-PDQ mach_kernel: Ethernet(BMac):
Link up at 10 Mbps - Half Duplex
Mar 4 22:25:59 mc3-PDQ mach_kernel: ATY,RageLTPro:
vram [82000000:01000000]
Mar 4 22:25:59 mc3-PDQ mach_kernel: L2CacheConfig:
Cannot change L2CR once enabled
Mar 4 22:25:59 mc3-PDQ mDNSResponder[315]:
mDNSResponder (01/23/03 17:34:10) starting
Mar 4 22:25:59 mc3-PDQ ConsoleMessage: Starting NetInfo
Mar 4 22:25:59 mc3-PDQ ConsoleMessage: Starting
Directory Services
Mar 4 22:25:59 mc3-PDQ lookupd[338]: lookupd (version
272) starting - Tue Mar 4 22:25:59 2003
Mar 4 22:26:00 mc3-PDQ ConsoleMessage: Starting
network time syncronization
Mar 4 22:26:00 mc3-PDQ ntpdate[347]: ntpdate
4.1.1@1.786 Sun Jul 14 03:19:16 PDT 2002 (1)
Mar 4 22:26:01 mc3-PDQ ntpdate[347]: step time server
17.254.0.27 offset 0.587992 sec
Mar 4 22:26:01 mc3-PDQ ntpd[349]: ntpd 4.1.1@1.786 Sun
Jul 14 03:19:04 PDT 2002 (1)
Mar 4 22:26:01 mc3-PDQ ntpd[349]: precision = 6 usec
Mar 4 22:26:01 mc3-PDQ ConsoleMessage: Starting
internet services
Mar 4 22:26:01 mc3-PDQ ConsoleMessage: Starting timed
execution services
Mar 4 22:26:01 mc3-PDQ ConsoleMessage: Starting
printing services
Mar 4 22:26:02 mc3-PDQ xinetd[359]: 359
{init_services} no services. Exiting...
Mar 4 22:26:02 mc3-PDQ mach_kernel: ext2fs: first two
sb words (200000, 400000) -- sb=2, sb size=1024
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
DiskVolume_SetTrashes:
mkdir(/Volumes/UNTITLED/.Trashes) failed, Read-only
file system
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
DiskVolume_SetTrashes:
chmod(/Volumes/UNTITLED/.Trashes) failed: No such file
or directory
Mar 4 22:26:02 mc3-PDQ mach_kernel: ext2fs: first two
sb words (800, 1000) -- sb=2, sb size=1024
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
DiskVolume_SetTrashes: mkdir(/Volumes/UNTITLED
1/.Trashes) failed, Read-only file system
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
DiskVolume_SetTrashes: chmod(/Volumes/UNTITLED
1/.Trashes) failed: No such file or directory
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
disk0s9 hfs yes yes zehn /

Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
disk0s10 hfs yes yes aelter
/Volumes/aelter
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
disk0s11 hfs yes yes juenger
/Volumes/juenger
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
disk0s12 ext2 yes yes UNTITLED
/Volumes/UNTITLED
Mar 4 22:26:02 mc3-PDQ /sbin/autodiskmount[189]:
disk0s13 ext2 yes yes UNTITLED
/Volumes/UNTITLED 1
Mar 4 22:26:02 mc3-PDQ ConsoleMessage: Starting
network file system
Mar 4 22:26:02 mc3-PDQ ConsoleMessage: Starting Core
Services
Mar 4 22:26:03 mc3-PDQ automount[398]: automount
version 26
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
DiskVolume_SetTrashes:
mkdir(/Volumes/UNTITLED/.Trashes) failed, Read-only
file system
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
DiskVolume_SetTrashes:
chmod(/Volumes/UNTITLED/.Trashes) failed: No such file
or directory
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
DiskVolume_SetTrashes: mkdir(/Volumes/UNTITLED
1/.Trashes) failed, Read-only file system
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
DiskVolume_SetTrashes: chmod(/Volumes/UNTITLED
1/.Trashes) failed: No such file or directory
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
disk0s9 hfs yes yes zehn /

Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
disk0s10 hfs yes yes aelter
/Volumes/aelter
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
disk0s11 hfs yes yes juenger
/Volumes/juenger
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
disk0s12 ext2 yes yes UNTITLED
/Volumes/UNTITLED
Mar 4 22:26:05 mc3-PDQ /sbin/autodiskmount[370]:
disk0s13 ext2 yes yes UNTITLED
/Volumes/UNTITLED 1
Mar 4 22:26:05 mc3-PDQ ConsoleMessage: Loading IP
Firewall extension
Mar 4 22:26:07 mc3-PDQ sudo: root : TTY=unknown ;
PWD=/private/var/tmp ; USER=root ; COMMAND=/bin/rm -rf
./grackleprobe.kext
Mar 4 22:26:09 mc3-PDQ mach_kernel: IP packet
filtering initialized, divert enabled, rule-based
forwarding enabled, default to accept, logging disabled
Mar 4 22:26:09 mc3-PDQ mach_kernel: IP firewall loaded
Mar 4 22:26:11 mc3-PDQ mach_kernel:
IOAudioControl[0x309cc00]::setValue(0x2e55260) - Error
0xe00002c7 received from driver - value not set!
Mar 4 22:26:11 mc3-PDQ configd[105]: executing
/usr/sbin/DirectoryService
Mar 4 22:26:12 mc3-PDQ sudo: root : TTY=unknown ;
PWD=/private/var/tmp ; USER=root ; COMMAND=/usr/bin/tar
-pzxf grackleprobe.kext.tgz
Mar 4 22:26:13 mc3-PDQ SystemStarter: Unable to load
localization strings for
/Library/StartupItems/GrackleProbe
Mar 4 22:26:18 mc3-PDQ sudo: root : TTY=unknown ;
PWD=/private/var/tmp ; USER=root ;
COMMAND=/sbin/kextload ./grackleprobe.kext
Mar 4 22:26:19 mc3-PDQ SystemStarter: Waiting for
Grackle Probe
Mar 4 22:26:25 mc3-PDQ last message repeated 2 times
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
MachineName: Power Macintosh
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
MachineModel: PowerBook1998
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
Unknown ROM version 0x41F6.
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
Device space: 0x00008000
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
Device ID: 0x106B, 0x0017
Mar 4 22:26:28 mc3-PDQ mach_kernel: GrackleProbe:
OSData.PCI Device name: mac-io
Mar 4 22:26:28 mc3-PDQ sudo: root : TTY=unknown ;
PWD=/Library/StartupItems/GrackleProbe ; USER=root ;
COMMAND=/usr/sbin/sysctl -w hw.grackle_st_gath_enable=1
Mar 4 22:26:28 mc3-PDQ SystemStarter: Waiting for
Grackle Probe
Mar 4 22:26:30 mc3-PDQ SystemStarter: Startup complete.
Mar 4 22:26:39 mc3-PDQ WindowServer[200]:
CGXDisableUpdate: Updates disabled by connection 0x6c0f
for over 1.000000 seconds
Mar 4 22:26:44 mc3-PDQ WindowServer[200]:
CGXDisableUpdate: Updates disabled by connection 0x7203
for over 1.000000 seconds
Mar 4 22:33:30 mc3-PDQ su: mc3 to root on /dev/ttyp1
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 19, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 19, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 17, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 17, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 16, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 16, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 15, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 15, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 18, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 18, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 13, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 13, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 12, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 12, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 14, on dev
unknown (14, 12)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:20 mc3-PDQ mach_kernel: ino 14, on dev
unknown (14, 12)
Mar 4 22:35:39 mc3-PDQ mach_kernel: pushing active:
type VREG, usecount 3, writecount 0, refcount 0, flags
(VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 510669, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 510669, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 510389, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 510389, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511610, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511610, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511609, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511609, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511608, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511608, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511607, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511607, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508163, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508163, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508162, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508162, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508161, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508161, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511606, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 511606, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508050, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 508050, on
dev unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_inactive:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 3675, on dev
unknown (14, 13)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ext2_reclaim:
pushing active: type VREG, usecount 3, writecount 0,
refcount 0, flags (VXLOCK)
Mar 4 22:35:39 mc3-PDQ mach_kernel: ino 3675, on dev
unknown (14, 13)
Mar 4 22:36:09 mc3-PDQ /sbin/autodiskmount[370]:
UnmountDisk('disk0s9') unmount('/') failed: 16 (Device
busy)
Mar 4 22:36:12 mc3-PDQ /sbin/autodiskmount[370]:
DiskArbUnmountAndEjectRequest_async_rpc(diskIdentifier
= 'disk0s13', flags = $00000000): already busy
Mar 4 22:36:13 mc3-PDQ /sbin/autodiskmount[370]:
UnmountDisk('disk0s12') unmount('/Volumes/UNTITLED')
failed: 16 (Device busy)
Mar 4 22:36:13 mc3-PDQ /sbin/autodiskmount[370]:
UnmountDisk('disk0s13') unmount('/Volumes/UNTITLED 1')
failed: 16 (Device busy)
Mar 4 22:42:35 mc3-PDQ /sbin/autodiskmount[370]: disk1
hfs no no Ext2 Filesystem 1.0d3 [not
mounted]
Mar 4 22:42:35 mc3-PDQ /sbin/autodiskmount[370]: disk1
hfs no no Ext2 Filesystem 1.0d3
/Volumes/Ext2 Filesystem 1.0d3
Mar 4 22:42:48 mc3-PDQ sudo: mc3 : TTY=ttyp1 ;
PWD=/Users/mc3 ; USER=root ; COMMAND=/bin/rm -rf
/System/Library/Extensions/ext2fs.kext
Mar 4 22:42:48 mc3-PDQ sudo: mc3 : TTY=ttyp1 ;
PWD=/Users/mc3 ; USER=root ; COMMAND=/bin/rm -rf
/System/Library/FileSystems/ext2.fs
Mar 4 22:42:49 mc3-PDQ sudo: mc3 : TTY=ttyp1 ;
PWD=/Users/mc3 ; USER=root ; COMMAND=/bin/rm
/sbin/mount_ext2
Mar 4 22:42:51 mc3-PDQ sudo: mc3 : TTY=ttyp1 ;
PWD=/Users/mc3 ; USER=root ; COMMAND=/bin/rm
/usr/share/man/man8/mount_ext2.8

as you'll note, it ends with me uninstalling the ext2
support. i hope this info helps improve it. please
e-mail eingebildet at hotmail dot com if you need more
info. - Mike

Discussion

  • Brian Bergstrand

    • labels: --> Incorrect Functionality
    • assigned_to: nobody --> bbergstrand
     
  • Brian Bergstrand

    Logged In: YES
    user_id=595265

    >>- doesn't allow access to user account in ext2 /home
    >>claims it's empty when it's not
    >> owner is shows as '32768000' and Finder folder is
    >>marked with a small red no-entry icon

    This is because of the owner id set in the ext2 file
    entries. ext2 is a Unix filesystem and permsions are
    respected as set on disk. Therefore, if your user id in Mac
    OS X and the one on the ext2 disk (set in Linux I assume) do
    not match you will not have permissions to certain files on
    the ext2 disk.

    To fix this, you would need to make sure your Linux account
    and your Mac OS X account had the same UID, or you have to
    access the disk as root.

    >>- when using 'umount' as root, appears to unmount, but
    >>then doesn't

    >>- still shows in /Volumes after umount command

    If the disk was automounted (you didn't manually mount the
    disk), then you cannot use umount from the command line
    without these problems that you describe. If you must use
    umount from the command line, then you have to follow it
    with the following command.

    disktool -r

    This will sync the automount state with the acutal state of
    the volume.

    >>- when using 'Eject' from Finder, asks for
    >>administrative password, then ejects two of my HFS
    >>partitions, leaving the ext2 partitions (UNTITLED for
    >>ext2 '/' and UNTITLED 1 for ext2 '/boot') on the Desktop

    I haven't seen this problem. But it could be due to the
    permissions misunderstanding mentioned above. I'll see if I
    can reproduce this last problem here.

    If other volumes are being unmounted, then the Finder may
    have screwed up. The ext2 unmount code is only called for
    ext2 volumes not other volume types. You may have accidently
    had the other volumes selected in the Finder too.

     
  • Nobody/Anonymous

    Logged In: NO

    Brian,

    I took a look at the notes you left on my above comments. I
    know that it might be asking for a lot, but requiring
    identical settings of the nature you described - if i
    understand correctly, same GID/UID on the ext2 volume as on
    the OSX HFS+ volume - then this is never going to be an
    especially user-friendly item. Ideally, one should be able
    to interact with the ext2 volume with the same flexibility
    and useability common to OSX overall.

    As to the problem ejecting the ext2 partitions from the
    Finder, I can assure you I selected only the two volumes on
    my Desktop that were marked 'UNTITLED' and 'UNTITLED 1',
    then popped up a contextual menu and selected 'Eject' from
    it. The result was that two HFS parititions were ejected
    instead, and a check of the available volumes via Terminal
    and 'df' showed the same condition as was indicated visually
    on the Desktop, i.e. my OS X paritition and the two ext2
    parititions still there, but the two HFS parititions had
    been unmounted.

    Another important note: I did virtually all of my advanced
    testing on this, after running into the initial problems,
    logged in as 'root' in the Terminal. Accessing the
    /home/username folder on the ext2 paritition should have
    worked just fine in theory, yet even as root it refused
    access to the folder, saying I didn't have permission. Both
    UID and GID were set to '32768000' and not UID 'root' or
    'username' as one would expect.

    When one mounts FAT paritions under Linux on an x86 machine,
    normal behavior is for everything on the FAT paritition to
    show as owned by 'root'. Perhaps this is something to
    consider for this ext2 filesystem.

    Thanks. eingebildet at hotmail dot com

     
  • Brian Bergstrand

    Logged In: YES
    user_id=595265

    Your right that my suggestion is not very user-friendly, but
    for the time being that is the way it has to be. You mention
    the FAT filesystem. FAT does not natively support
    permisssiona, so the FAT VFS plugin emulates this. On Linux,
    it ends up being root (or whoever mounted the device) that
    "owns" the FAT files. The Mac OS X FAT VFS plug-in does the
    same thing, but the files are owned by the "console"
    (currently logged in) user instead of root.

    Now, if you look at the Mac OS X UFS support, it doesn't
    work this way. In fact, the OS X UFS support works exactly
    like EXT2. The on-disk permissions are respected no matter what.

    HFS is a little different, it contains special code in the
    VFS layer that allows it to run without permissions.
    Unfortunately, this is specific to HFS.

    I would like to add the "ignore perms" functionality found
    in HFS to EXT2, but it is not a priortity right now. For
    now, EXT2 will act as UFS does.

    As for your problems accessing files even as root, that is a
    more immediate problem. Technically root should have access
    to everything.

    Could you boot into linux and do a 'ls -laR` on the problem
    directory, and then mail that output too me. I may be able
    to find something out from that.

    Finally, you won't see root as the owner of the filesystem,
    because the root name does not map to UID '32768000'. root
    is UID '0'.

    Also, what distro of Linux are you running?

     
  • Brian Bergstrand

    Logged In: YES
    user_id=595265

    FYI, on the UID problem. I did find a bug in the code that
    was causing wrong UID's to be given. So the '32768000' #
    should actually be '500'. This is still different from the
    Mac OS X default start UID of 501, so you will still have
    access problems with a normal user, but root should now work.

    This bug will be fixed in the next release.

     
  • Brian Bergstrand

    Logged In: YES
    user_id=595265

    The bad UID and root access bugs have been fixed in d4.
    Still haven't beenn able to reproduce the mount problem.

     
  • Brian Bergstrand

    Logged In: YES
    user_id=595265

    Haven't been able to reproduce the mount problem, and the
    user has not updated this bug. Closing.

     
  • Brian Bergstrand

    • status: open --> closed
     

Log in to post a comment.